Category : angular-upgrade

My current version is: 11.2.3 The error is: An unhandled exception occurred: Unable to authenticate, need: BASIC realm="Sonatype Nexus Repository Manager" I have updated my project from later versions, and have never had an update problem. I attach some libraries from my package.json: "dependencies": { "@angular/animations": "~11.2.3", "@angular/cdk": "^11.2.3", "@angular/common": "~11.2.3", "@angular/compiler": "~11.2.3", "@angular/core": "~11.2.3", ..

Read more

I have an app that runs under the angular v9.1.11. I’m trying to update it to angular 12 with the following command ng update @angular/[email protected] @angular/[email protected] like recommended on their website https://update.angular.io/?v=9.1-12.0. But I get the following error. internal/modules/cjs/loader.js:888 throw err; ^ Error: Cannot find module ‘C:UsersmyUserDocumentsprojectsmyProjectmyProject-name’C:Users[email protected]angularclibinng” at Function.Module._resolveFilename (internal/modules/cjs/loader.js:885:15) at Function.Module._load (internal/modules/cjs/loader.js:730:27) at Function.executeUserEntryPoint ..

Read more

Error Message – ERROR in src/app/store/effects/cuser.effects.ts:31:32 – error TS2339: Property ‘ofType’ does not exist on type ‘Actions’. loadCuser$ = this.actions$.ofType( fromCuser.LOAD_CUSER ).pipe( Code Snipet @Effect() loadCuser$ = this.actions$.ofType( fromCuser.LOAD_CUSER ).pipe( switchMap( (action: any) => this.serv.getCurrentUser() )) .map( r => { //…. rest of my code }).catch( error => of(`Bad Promise: ${error}`) ) ; My Package.json ..

Read more

Trying to update Angular 9 to Angular 10, getting below error – × Migration failed: Package "@angular/core" was not found on the registry. Cannot continue as this may be an error. See "C:………LocalTempng-j24yaYangular-errors.log" for further details. Error message in log file – [error] Error: Package "@angular/core" was not found on the registry. Cannot continue as ..

Read more